<?php

$base_name = plugin_basename('post-views/postviews-uninstall.php');
$base_page = 'admin.php?page='.$base_name;
$mode = trim($_GET['mode']);
$views_postmetas = array('views','bot_views');

if(!empty($_POST['do'])) {
	switch($_POST['do']) {		
		case __('Uninstall post-views', 'post-views') :
			if(trim($_POST['uninstall_views_yes']) == 'yes') {
				echo '<div id="message" class="updated fade">';
				echo '<p>';
				foreach($views_postmetas as $postmeta) {
					$remove_postmeta = $wpdb->query("DELETE FROM $wpdb->postmeta WHERE meta_key = '$postmeta'");
					if($remove_postmeta) {
						echo '<font color="green">';
						printf(__('Post Meta Key \'%s\' has been deleted.', 'post-views'), "<strong><em>{$postmeta}</em></strong>");
						echo '</font><br />';
					} else {
						echo '<font color="red">';
						printf(__('Error deleting Post Meta Key \'%s\'.', 'post-views'), "<strong><em>{$postmeta}</em></strong>");
						echo '</font><br />';
					}
				}
				echo '</p>';
				echo '</div>'; 
			}else{
					echo '<div id="message" class="updated fade">';
				echo '<p>None data have been delete.</p>';
				echo '</div>'; 
			}
				$mode = 'end-UNINSTALL';
			break;
	}
}
switch($mode) {
		case 'end-UNINSTALL':
			$deactivate_url = 'plugins.php?action=deactivate&amp;plugin=post-views/post-views.php';
			if(function_exists('wp_nonce_url')) { 
				$deactivate_url = wp_nonce_url($deactivate_url, 'deactivate-plugin_post-views/post-views.php');
			}
			echo '<div class="wrap">';
			echo '<h2>'.__('Uninstall post-views', 'post-views').'</h2>';
			echo '<p><strong>'.sprintf(__('<a href="%s">Click Here</a> To Deactivated the plugin, and finish The Uninstallation.', 'post-views'), $deactivate_url).'</strong></p>';
			echo '</div>';
			break;
	default:
?>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>?page=<?php echo plugin_basename(__FILE__); ?>">
<div class="wrap"> 
	<h3><?php _e('Uninstall post-views', 'post-views'); ?></h3>
	<p>
		<?php _e('Deactivating post-views plugin does not remove any data that have been created.', 'post-views'); ?>
	</p>
	<p style="color: red">
		<strong><?php _e('WARNING:', 'post-views'); ?></strong><br />
		<?php _e('Once completely uninstalled, this cannot be undone. You should Backup WordPress database first.', 'post-views'); ?>
	</p>
	<p>
		<strong><?php _e('If completely uninstalled, the following data will be DELETED:', 'post-views'); ?></strong><br />
	</p>
	<table class="widefat">
	<tr>
		<td valign="top" >
				<ol>
				<?php
					foreach($views_postmetas as $postmeta) {
						echo '<li>'.$postmeta.'</li>'."\n";
					}
				?>
				</ol>
			</td>
		</tr>
	</table>
	<p>&nbsp;</p>
	<p style="text-align: center;">
		<input type="checkbox" name="uninstall_views_yes" value="yes" />&nbsp;<?php _e('Yes, Completely', 'post-views'); ?><br /><br />
		<input type="submit" name="do" value="<?php _e('Uninstall post-views', 'post-views'); ?>" class="button" onclick="return confirm('<?php _e('You Are About To Uninstall post-views From WordPress.\nThis Action Is Not Reversible.\n\n Choose [Cancel] To Stop, [OK] To Uninstall.', 'post-views'); ?>')" />
	</p>
</div> 
</form>
<?php
}
?>